<div class="inventory-filters spellbook-filters flexrow">
    <div class="form-group spellcasting-ability">
        {{#unless isNPC}}
        <label>{{localize "mez5e.SpellAbility"}}</label>
        {{else}}
        <label>{{localize "mez5e.Level"}}</label>
        <input class="spellcasting-level" type="text" name="data.details.spellLevel"
               value="{{data.details.spellLevel}}" data-dtype="Number" placeholder="0"/>
        {{/unless}}
        <select name="data.attributes.spellcasting" data-type="String">
            {{#select data.attributes.spellcasting}}
            <option value="">{{localize "mez5e.None"}}</option>
            {{#each data.abilities as |abl a|}}
            <option value="{{a}}">{{abl.label}}</option>
            {{/each}}
            {{/select}}
        </select>
        <span>{{localize "mez5e.AbbreviationDC"}} {{data.attributes.spelldc}}</span>
    </div>
 
    <ul class="filter-list flexrow" data-filter="spellbook">
        <li class="filter-item" data-filter="action">{{localize "mez5e.Action"}}</li>
        <li class="filter-item" data-filter="bonus">{{localize "mez5e.BonusAction"}}</li>
        <li class="filter-item" data-filter="reaction">{{localize "mez5e.Reaction"}}</li>
        <li class="filter-item" data-filter="concentration">{{localize "mez5e.AbbreviationConc"}}</li>
        <li class="filter-item" data-filter="ritual">{{localize "mez5e.Ritual"}}</li>
        <li class="filter-item" data-filter="prepared">{{localize "mez5e.Prepared"}}{{#if preparedSpells}} ({{preparedSpells}}){{/if}}</li>
    </ul>
</div>
 
<ol class="items-list inventory-list">
{{#each spellbook as |section|}}
    <li class="items-header spellbook-header flexrow">
        <div class="item-name flexrow">
            <h3>{{section.label}}</h3>
            <div class="spell-slots">
                {{#if section.usesSlots}}
                <input type="text" name="data.spells.{{section.prop}}.value" value="{{section.uses}}" placeholder="0"
                       data-dtype="Number"/>
                <span class="sep"> / </span>
                <span class="spell-max" data-level="{{section.prop}}" data-slots="{{section.slots}}">
                    {{{section.slots}}}
                    {{#if ../editable}}
                    <a class="slot-max-override" title="{{localize 'mez5e.SpellProgOverride'}}">
                        <i class="fas fa-edit"></i>
                    </a>
                    {{/if}}
                </span>
                {{ else }}
                <span>{{{section.uses}}}</span>
                <span class="sep"> / </span>
                <span class="spell-max">{{{section.slots}}}</span>
                {{/if}}
            </div>
        </div>
        <div class="spell-school">{{localize "mez5e.SpellSchool"}}</div>
        <div class="spell-action">{{localize "mez5e.SpellUsage"}}</div>
        <div class="spell-target">{{localize "mez5e.SpellTarget"}}</div>
 
        <div class="item-controls flexrow">
            {{#if section.canCreate}}
            <a class="item-control item-create" title="{{localize 'mez5e.SpellCreate'}}" {{#each section.dataset as |v k|}}data-{{k}}="{{v}}"{{/each}}>
                <i class="fas fa-plus"></i> {{localize "mez5e.Add"}}
            </a>
            {{/if}}
        </div>
    </li>
 
    <ol class="item-list">
    {{#each section.spells as |item i|}}
        <li class="item flexrow" data-item-id="{{item._id}}">
            <div class="item-name flexrow rollable">
                <div class="item-image" style="background-image: url('{{item.img}}')"></div>
                <h4>{{item.name}}</h4>
                {{#if item.data.uses.per }}
                <div class="item-detail spell-uses">Uses {{item.data.uses.value}} / {{item.data.uses.max}}</div>
                {{/if}}
                <div class="spell-comps">
                    {{#each labels.components}}
                    <span class="spell-component {{this}}">{{this}}</span>
                    {{/each}}
                </div>
            </div>
            <div class="spell-school">{{labels.school}}</div>
            <div class="spell-action">{{labels.activation}}</div>
            <div class="spell-target" title="{{localize 'mez5e.Range'}}: {{labels.range}}">
                {{#if labels.target}}
                {{labels.target}}
                {{else}}None
                {{/if}}
            </div>
 
            {{#if ../../owner}}
            <div class="item-controls flexrow">
                {{#if section.canPrepare}}
                <a class="item-control item-toggle {{item.toggleClass}}" title="{{item.toggleTitle}}"><i class="fas fa-sun"></i></a>
                {{/if}}
                <a class="item-control item-edit" title="Edit Item"><i class="fas fa-edit"></i></a>
                <a class="item-control item-delete" title="Delete Item"><i class="fas fa-trash"></i></a>
            </div>
            {{/if}}
        </li>
    {{/each}}
    </ol>
{{else}}
    {{#if owner}}
    {{#if filters.spellbook.size}}
    <li class="item flexrow"><p class="notes">{{localize "mez5e.FilterNoSpells"}}</p></li>
    {{else}}
    <li class="item flexrow inventory-header spellbook-header spellbook-empty">
        <div class="item-controls flexrow">
            <a class="item-control item-create" title="{{localize 'mez5e.SpellCreate'}}" data-type="spell"
               data-level="{{lvl}}"><i class="fas fa-plus"></i> {{localize "mez5e.SpellAdd"}}</a>
        </div>
    </li>
    <li class="item flexrow"><p class="notes">{{localize "mez5e.NoSpellLevels"}}</p></li>
    {{/if}}
    {{/if}}
{{/each}}
</ol>
 

